using System;
using System.Collections.Generic;
using System.Text;
using MySql.Data.MySqlClient;
using MySql.Data.Types;

/*
 * This code sample demonstrates how to use the MySql Connector/Net, which can be 
 * downloaded from the MySql website. Download and install Connector/Net, current version 5.
 * Add MySQL.Data reference to your project. 
 * 
 * This code sample assumes you have a table with three fields. The first field being of type Int
 * and the second and third fields being of type varchar. 
 * */

namespace MySqlExample
{
    class Program
    {
        static void Main(string[] args)
        {
            string host = "localhost";
            string database = "Database Name";
            string user = "Your User Id, Defaut User Id is : root";
            string password = "Your Password";
            string strSQL = "SELECT * FROM [Your Table Here]";

            string strProvider = "Data Source=" + host + ";Database=" + database + ";User ID=" + user + ";Password=" + password;
            try
            {
                MySqlConnection mysqlCon = new MySqlConnection(strProvider);
                mysqlCon.Open();

                if (mysqlCon.State.ToString() == "Open")
                {
                    Console.WriteLine("Database Connection Open");
                    Console.WriteLine("------------------------");
                    
                    MySqlCommand mysqlCmd = new MySqlCommand(strSQL,mysqlCon);
                    MySqlDataReader mysqlReader = mysqlCmd.ExecuteReader();

                    Console.WriteLine("Id\tName\tLastName");
                    Console.WriteLine("------------------------");

                    while (mysqlReader.Read())
                    {
                        Console.WriteLine(mysqlReader.GetInt32(0) + "\t" + mysqlReader.GetString(1) + "\t" + mysqlReader.GetString(2));
                    }

                }

                mysqlCon.Close();

            }
            catch (Exception er)
            {
                Console.WriteLine("An Error Occured" + er.Message);
            }

            Console.ReadKey();
        }
    }
}
